<?php
/**
* Author: DragonFever
* Copyright: © 2008 DragonFever
* Website:  http://www.dragonfever.info
**/
/** 
* Polish Language File developed by mybboard.pl for Search Captcha 1.0
* Tłumaczenie: DamYan
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/ 
// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

//PLUGIN HOOKS
$plugins->add_hook("search_do_search_start","scp_dosearchstart");
$plugins->add_hook("search_start","scp_searchstart");

//PLUGIN INFORMATION
function scp_info()
{
	return array(
		"name"				=> "Search Captcha Protection",
		"description"		=> "Dodaje zabezpieczenie captcha do wyszukiwarki.",
		"website"			=> "http://www.dragonfever.info/",
		"author"			=> "DragonFever",
		"authorsite"		=> "http://www.dragonfever.info/",
		"version"			=> "1.0",
		"guid"				=> "640226ced618d195e0fb6fee05f5d860",
		"compatibility" 	=> "14*"
	);
}

//PLUGIN ACTIVATE
function scp_activate()
{
	global $db;
	
	$template = array(
		"title"		=> "search_captcha",
		"template"	=> "<tr>
<td colspan=\"2\" class=\"tcat\" width=\"100%\"><strong>{\$lang->image_verification}</strong></td>
</tr>
<tr>
<td class=\"trow1\" valign=\"top\"><input type=\"text\" class=\"textbox\" name=\"imagestring\" value=\"\" /><input type=\"hidden\" name=\"imagehash\" value=\"{\$imagehash}\" /><br />Wpisz tekst znajdujący się na obrazku po prawej w pole powyżej. Ten proces ma za zadanie wykluczenie automatycznych wyszukiwań.</td>
<td class=\"trow1\" valign=\"top\"><img src=\"captcha.php?action=regimage&imagehash={\$imagehash}\" alt=\"{\$lang->image_verification}\" /><br /><span style=\"color: red;\" class=\"smalltext\">{\$lang->verification_subnote}</span></td>
</tr>",
		"sid"		=> "-1"
	);
	$db->insert_query("templates", $template);
	
	//EDIT TEMPLATES
	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets("search", '#<tr>
<td class="tcat"><strong>{\$lang->search_forums}#', '{\$captcha}<tr>
<td class="tcat"><strong>{\$lang->search_forums}');
}

//PLUGIN DEACTIVATE
function scp_deactivate()
{
	global $db;
	
	$db->query("DELETE FROM ".TABLE_PREFIX."templates WHERE title='search_captcha'");
	
	//EDIT TEMPLATES
	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets("search", '#{\$captcha}#', '', 0);
}

//PLUGIN HOOK FUNCTIONS
function scp_dosearchstart()
{
	global $db, $lang, $mybb;
	// Load language phrases
	$lang->load("member");
	if(function_exists("imagecreatefrompng"))
	{
		$imagehash = $db->escape_string($mybb->input['imagehash']);
		$imagestring = $db->escape_string($mybb->input['imagestring']);
		$query = $db->simple_select("captcha", "*", "imagehash='$imagehash' AND LOWER(imagestring)='$imagestring'");
		$imgcheck = $db->fetch_array($query);
		if(!$imgcheck['dateline'])
		{
			error($lang->error_regimageinvalid);
		}
		$db->delete_query("captcha", "imagehash='$imagehash'");
	}
}

function scp_searchstart()
{
	global $db, $lang, $templates, $captcha;
	// Load language phrases
	$lang->load("member");
	// Spambot Protection
	if(function_exists("imagecreatefrompng"))
	{
		$randomstr = random_str(5);
		$imagehash = md5($randomstr);
		$regimagearray = array(
			"imagehash" => $imagehash,
			"imagestring" => $randomstr,
			"dateline" => time()
			);
		$db->insert_query("captcha", $regimagearray);
		eval("\$captcha = \"".$templates->get("search_captcha")."\";");
	}
}
?>